google-android-installers (1785528795-1) unstable; urgency=medium

  * Update Swedish debconf translation
    Thanks to Martin Bagge (Closes: #1121989)
  * Swedish translation: fix typo "spefel" -> "spegel"
  * Add Chinese debconf translation.
    Thanks to Yangfl (Closes: #1124421)
  * New upstream version 1785528795
    - NEW packages:
      - google-android-build-tools-36.1.0-installer
      - google-android-build-tools-37.0.0-installer
      - google-android-cmdline-tools-20.0-installer
      - google-android-cmdline-tools-21.0-installer
      - google-android-cmdline-tools-22.0-installer
      - google-android-ndk-r29-installer
    - DELETED package:
      - google-android-platform-35-baklava-installer
      - google-android-platform-36-baklava-ext19-installer
    - update google-android-emulator-installer package to 37.1.11
    - update google-android-platform-tools-installer to 37.0.1
  * New upstream version 1785528795 (debian/*)
  * Add Romanian debconf translation.
    Thanks to Remus-Gabriel Chelu (Closes: #1137380)
  * Orphaning package (setting Maintainer to QA Group)
  * d/scripts/get_unpacked_size.sh: filter out version of package to install)

 -- Fab Stz <fabstz-it@yahoo.fr>  Mon, 03 Aug 2026 12:40:33 +0200

google-android-installers (1755725555-1) unstable; urgency=medium

  * Update Portuguese translation Closes: #1107472. Thanks to Américo Monteiro
  * move sha1sum check to $(UNPACK_DIR)/source.properties. Closes: #1109645
  * refresh pt.po translation file
  * New upstream version 1755725555
    - NEW packages:
      - google-android-ndk-r27d-installer
      - google-android-ndk-r28b-installer
      - google-android-ndk-r28c-installer
      - google-android-platform-36-baklava-ext19-installer
      - google-android-platform-36-ext18-installer
      - google-android-platform-36-ext19-installer
    - update google-android-emulator-installer to 36.1.9
    - update google-android-platform-36-installer to rev2
    - update google-android-platform-tools-installer to 36.0.0
    - update google-android-sources-36-installer
  * d/s/get_unpacked_size.sh: write size to file before purge
  * update debian/version_list_unpacked_size.txt
  * platform-tools: remove links&Provides for dmtracedump, e2fsdroid.
    Closes: #1112165

 -- Fab Stz <fabstz-it@yahoo.fr>  Wed, 27 Aug 2025 11:57:08 +0200

google-android-installers (1743526702-1) unstable; urgency=medium

  * fix lintian warning extended-description-line-too-long
  * d/control: autoupdate after previous commit
  * d/tests/control: reenable test of google-android-platform-tools-installer
  * stop shipping 51-android.rules (Closes: #1101906)
  * Recommend android-udev-rules
  * New upstream version 1743526702

 -- Fab Stz <fabstz-it@yahoo.fr>  Wed, 02 Apr 2025 09:36:57 +0200

google-android-installers (1743116110-1) unstable; urgency=medium

  * debian/scripts/make_zip_package.sh: fix when running as SPLIT
  * New upstream version 1743116110
    - NEW packages:
      - google-android-build-tools-36.0.0-installer
      - google-android-cmdline-tools-19.0-installer
      - google-android-platform-35-ext15-installer
      - google-android-platform-36-installer
      - google-android-sources-36-installer
    - update emulator package to 35.4.9
    - update google-android-platform-35-baklava-installer to rev5
  * update debian/version_list_unpacked_size.txt

 -- Fab Stz <fabstz-it@yahoo.fr>  Fri, 28 Mar 2025 08:59:00 +0100

google-android-installers (1738791834-1) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Fab Stz ]
  * Update Dutsch translation (Closes: #1087212) thanks to Frans Spiesschaert
  * Update pt_BR translation (Closes: #1091548) thanks to Paulo Henrique de
    Lima Santana
  * New upstream version 1738791834
    - NEW packages:
      - google-android-build-tools-35.0.1-installer
      - google-android-cmdline-tools-17.0-installer
      - google-android-ndk-r27c-installer
      - google-android-ndk-r28-installer
      - google-android-platform-35-ext14-installer
      - google-android-platform-35-baklava-installer
      - google-android-platform-34-ext11-installer
    - DELETED package:
      - google-android-platform-33-tiramisuprivacysandbox-installer
      - google-android-platform-34-upsidedowncakeprivacysandbox-installer
      - google-android-platform-34-vanillaicecream-installer
    - update emulator package to 35.3.11
    - update google-android-platform-35-installer to rev2
  * refresh patches
  * d/README.source: mention command to list added/deleted binary packages
  * update debian/version_list_unpacked_size.txt
  * update d/po through debconf-updatepo
  * d/scripts/get_unpacked_size.sh store downloaded file locally

 -- Fab Stz <fabstz-it@yahoo.fr>  Thu, 06 Feb 2025 10:41:37 +0100

google-android-installers (1726697545-1) unstable; urgency=medium

  * update spanish translation (Closes: #1078330). Thanks to Camaleón
  * update german translation (Closes: #1082508). Thanks to Christoph Brinkhaus
  * New upstream version 1726697545
    - NEW packages:
      - google-android-cmdline-tools-16.0-installer
      - google-android-ndk-r27b-installer
      - google-android-platform-34-ext10-installer
      - google-android-platform-34-ext11-installer
    - update emulator package to 35.1.21
    - update platform-tools package to 35.0.2
  * refresh patches

 -- Fab Stz <fabstz-it@yahoo.fr>  Sat, 21 Sep 2024 13:40:16 +0200

google-android-installers (1721167724-1) unstable; urgency=medium

  * ndk packages: conflict with android-platform-ndk package
  * d/Makefile: Catch wget error and give some hint LP: #2060456
  * update debconf [1/3: config file] LP: #2060456
  * update debconf [2/3: po files]
  * update debconf [3/3: update postinst.in files]
  * d/*postinst.in: harmonize indentation
  * d/config.in: compare values as string in script
  * d/scripts/run_dh_clean.sh: remove also d/*.config files
  * set full URL as mirror value, add tencent mirror
  * NEW binary package: google-android-sdk-docs-installer
  * d/control: update description of sdk-docs package and fill placeholders
    automatically
  * d/*postrm*: remove extraneous cleanup of debconf database
  * d/sdk-docs.postrm.in: harmonize with the other postrm
  * Makefile for sdk-docs: support built-in zip, print hint on download
    failure, unzip silently
  * Makefile for sdk-docs: print message before unzipping
  * debian/sdk-docs.lintian-overrides.in: remove now useless override
  * debconf template: replace malformed-prompt-in-templates: use ':' instead
    of '?'
  * fix syntax error in debian/po/es.po
  * d/scripts/zip_file_install.sh: support also sdk-docs, update script purpose
  * apply shfmt on shell scripts
  * apply shellcheck suggested changes on scripts
  * add debian/.pre-commit-config.yaml
  * New upstream version 1721167724
    - NEW packages:
      - google-android-platform-34-ext12-installer
      - google-android-platform-35-installer
      - google-android-build-tools-35.0.0-installer
      - google-android-ndk-r26d-installer
      - google-android-ndk-r27-installer
      - google-android-sources-35-installer
    - update platform-tools package to 35.0.1
    - update platform-34-vanillaicecream package to rev4
    - update emulator package to 34.2.16
    - DELETED package:
      - google-android-platform-34-ext10-installer
  * refresh patches
  * d/README.source: don't use t64 libs in manual update of shlibs

 -- Fab Stz <fabstz-it@yahoo.fr>  Wed, 17 Jul 2024 08:39:25 +0200

google-android-installers (1710437545-4) unstable; urgency=medium

  * Revert "d/tests/control: run 'build-tools:aapt_conflicts' with
    DEBIAN_FRONTEND=noninteractive"
  * d/tests/control: add "apt-utils" dep to 'build-tools:aapt_conflicts' test

 -- Fab Stz <fabstz-it@yahoo.fr>  Sun, 31 Mar 2024 09:20:16 +0200

google-android-installers (1710437545-3) unstable; urgency=medium

  * d/p/udev_rules.patch: add Forwarded & Description header
  * tools component: remove dependency to openjdk-8-jre-headless
  * d/tests/control: run 'build-tools:aapt_conflicts' with DEBIAN_FRONTEND=noninteractive

 -- Fab Stz <fabstz-it@yahoo.fr>  Thu, 28 Mar 2024 08:30:49 +0100

google-android-installers (1710437545-2) unstable; urgency=medium

  * tools component: remove dependency to libswt-gtk-3-java

 -- Fab Stz <fabstz-it@yahoo.fr>  Wed, 27 Mar 2024 08:55:58 +0100

google-android-installers (1710437545-1) unstable; urgency=medium

  * Migrate package from native to non-native
  * cleanup usage of trap
  * d/scripts/run_after_dh_prep.sh: install licenses file only if g-a-licenses
    is built
  * d/scripts/run_dh_gencontrol.sh: run on g-a-licenses only if package is
    created
  * d/scripts/run_dh_gencontrol.sh: support version numbers with epoch
  * d/scripts/_common_functions.sh: don't return obsolete line if there are at
    least two
  * d/scripts/make_zip_package.sh: add new features (support non-native,
    split, override version...)
  * d/README.source: update upgrade procedure now that we are non-native
  * lintian-overrides: silence warning due to migration to non-native package
  * gitlab-ci: show lintian overrides again
  * d/scripts/upgrade_package_versions.sh: call date without debian revision
  * New upstream version:
    - NEW packages:
      - google-android-platform-34-vanillaicecream-installer
      - google-android-tools-installer
      - google-android-cmdline-tools-13.0-installer
    - update platform-tools package to 35.0.0
    - update platform-34 package to rev3
    - update emulator package to 34.1.19
  * lintian-overrides: fix override mismatch
  * d/rules: set deb compression format to xz
  * d/scripts/upgrade_package_versions.sh: fallback to last-modified if 'Generated on' is not set
  * set version contraint on Conflicts for build-tools & cmdline-tools and add
    corresponding test to autopkgtest (Closes: #1065668)
  * set the list of tools shipped by each package dynamically
  * d/control: replace <version> placeholder by actual value
  * move debian/version_list.info's REPO_DIR to d/scripts/_common_functions.sh
  * d/scripts/build_control_file.sh: show progress of script
  * rewrite upgrade procedure
  * remove superfluous files remaining after package renames
  * d/scripts/run_after_dh_prep.sh: fix version constraint on Conflicts/Provides to not block upgrades
  * relax dependency constraint on google-android-licenses
  * fix creation of zip package in case of SPLIT=1
  * fix missing license sha1sum when building only google-android-licences
  * add google-android-tools-installer package
  * apply wrap-and-sort for d/tests/control
  * d/scripts/update_upstream.sh: prepend dir to orig.tar
  * use alternatives to select /usr/lib/android-ndk
  * d/scripts/get_unpacked_size.sh: install with --ignore-depends
  * google-android-extras-google-auto-installer: relax Depends

 -- Fab Stz <fabstz-it@yahoo.fr>  Sun, 17 Mar 2024 14:16:59 +0100

google-android-installers (1707406511) unstable; urgency=medium

  * New upstream update
    - NEW packages:
      - google-android-build-tools-33.0.3-installer
      - google-android-ndk-r26c-installer

 -- Fab Stz <fabstz-it@yahoo.fr>  Mon, 12 Feb 2024 22:16:20 +0100

google-android-installers (1706036194) unstable; urgency=medium

  [ Fab Stz ]
  * New upstream update
    - NEW packages:
      - google-android-ndk-r26b-installer
      - google-android-platform-34-ext8-installer
      - google-android-platform-34-ext10-installer
      - google-android-cmdline-tools-12.0-installer
    - DELETED package:
      - google-android-patcher-4-installer
    - update platform-tools package to 34.0.5
    - update emulator package to 33.1.24
    - update platform-34-upsidedowncakeprivacysandbox package to rev3
  * d/control*: remove Mouaad Aallam from Uploaders
  * update 51-android.rules to latest upstream
  * permit to create an alternative source package including the zip
  * d/control: relax deps to find udev.pc
  * apply 'wrap-and-sort -t'
  * Bump Standards-Version to 4.6.2 (no change required)

  [ Chris Hofstaedtler ]
  * Use udev.pc to place udev files. (Closes: #1058804)

 -- Fab Stz <fabstz-it@yahoo.fr>  Wed, 24 Jan 2024 10:38:18 +0100

google-android-installers (1695033340) unstable; urgency=medium

  * New upstream update
    - NEW packages:
      - google-android-cmdline-tools-10.0-installer
      - google-android-cmdline-tools-11.0-installer
      - google-android-ndk-r26-installer
      - google-android-platform-34-upsidedowncakeprivacysandbox-installer
      - google-android-sources-34-installer
    - DELETED package:
      - google-android-platform-33-upsidedowncakeprivacysandbox-installer
    - update platform-tools package to 34.0.4
    - update emulator package to 32.1.15
    - update Android SDK Platform 33
    - update Android SDK Platform 34
  * update 51-android.rules to latest upstream
  * build-tools: add Provides & improve alternatives
  * cmdline-tools: add Provides & improve alternatives
  * Move addition of 'google-android-cmdline-tools-latest-installer' Provides
    to other script
  * cmdline-tools: Conflicts with android-platform-tools-base, sdkmanager
  * fix Conflicts & Replaces for build-tools & cmdline-tools

 -- Fab Stz <fabstz-it@yahoo.fr>  Thu, 21 Sep 2023 09:06:31 +0200

google-android-installers (1686227321) unstable; urgency=medium

  * New upstream update
    - NEW packages:
      - google-android-build-tools-33.0.2-installer
      - google-android-build-tools-34.0.0-installer
      - google-android-platform-33-ext4-installer
      - google-android-platform-33-ext5-installer
      - google-android-platform-34-installer
      - google-android-platform-33-upsidedowncakeprivacysandbox-installer
    - update emulator package to 32.1.13
    - update platform-tools package to 34.0.3
  * update 51-android.rules to latest upstream
  * d/.gitlab-ci.yml: add SALSA_CI_PIUPART_ARGS to ignore /usr/lib32/
  * d/.gitlab-ci.yml: disable lintian's show-overrides
  * d/scripts: fail scripts on error
  * support multiple platform;android-33 components
  * add conflicts for the cases of multiple platform;android-33 packages
  * improvements to get unpacked size of packages
  * Remove old update scripts
  * remove for-postinst/docs/. This is managed by another source package
  * Update copyright
  * update source/lintian-overrides
  * d/rules:
      - autogenerate files 'after_dh_prep' and not before
      - factorize functions, call external scripts
  * for cmdline-tools depend on build-tools through Provides
  * add virtual package google-android-cmdline-tools-latest-installer
  * use common functions in get_unpacked_size.sh
  * use common functions in build_tests_control_file.sh
  * use common functions in build_control_file.sh
  * d/scripts/upgrade_package_versions.sh: various fixes & improvements
  * README.source: remove now unneeded call to dpkg-buildpackage
  * d/scripts/get_unpacked_size.sh: fix ZIPFILE variable typo

 -- Fab Stz <fabstz-it@yahoo.fr>  Fri, 16 Jun 2023 09:15:42 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog google-android-build-tools-24.0.2-installer`.
